.TH epmd 1 "erts  5.7.3" "Ericsson AB" "USER COMMANDS"
.SH NAME
epmd \- Erlang Port Mapper Daemon 
.SH DESCRIPTION
.LP
This daemon acts as a name server on all hosts involved in distributed Erlang computations\&. When an Erlang node starts, the node has a name and it obtains an address from the host OS kernel\&. The name and the address are sent to the \fIepmd\fR daemon running on the local host\&. In a TCP/IP environment, the address consists of the IP address and a port number\&. The name of the node is an atom on the form of \fIName@Node\fR\&. The job of the \fIepmd\fR daemon is to keep track of which node name listens on which address\&. Hence, \fIepmd\fR map symbolic node names to machine addresses\&.
.LP
The daemon is started automatically by the Erlang start-up script\&.
.LP
The program \fIepmd\fR can also be used for a variety of other purposes, for example checking the DNS (Domain Name System) configuration of a host\&.

.SH EXPORTS
.LP
.B
epmd [-daemon] 
.br
.RS
.LP
Starts a name server as a daemon\&. If it has no argument, the \fIepmd\fR runs as a normal program with the controlling terminal of the shell in which it is started\&. Normally, it should run as a daemon\&.
.RE
.LP
.B
epmd -names
.br
.RS
.LP
Requests the names of the local Erlang nodes \fIepmd\fR has registered\&.
.RE
.LP
.B
epmd -kill
.br
.RS
.LP
Kills the \fIepmd\fR process\&.
.RE
.LP
.B
epmd -help
.br
.RS
.LP
Write short info about the usage including some debugging options not listed here\&.
.RE
.SH ENVIRONMENT VARIABLES
.RS 2
.TP 4
.B
\fIERL_EPMD_PORT\fR:
This environment variable can contain the port number epmd will use\&. The default port will work fine in most cases\&. A different port can be specified to allow several instances of epmd, representing independant clusters of nodes, to co-exist on the same host\&. All nodes in a cluster must use the same epmd port number\&.
.RE
.SH LOGGING
.LP
On some operating systems \fIsyslog\fR will be used for error reporting when epmd runs as an daemon\&. To enable the error logging you have to edit /etc/syslog\&.conf() file and add an entry

.nf
      !epmd
      *\&.*<TABs>/var/log/epmd\&.log
    
.fi
.LP
where <TABs> are at least one real tab character\&. Spaces will silently be ignored\&. 
